<?php
/**
*
* @package phpBB3
* @version $Id: constants.php,v 1.86 2007/11/19 17:00:13 acydburn Exp $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

global $user;

$user->lang = array_merge($user->lang, array(

	'SMARTFEED_ALL_FORUMS' => 'All Forums',
	'SMARTFEED_APACHE_AUTHENTICATION_WARNING_ADMIN' => 'phpBB Smartfeed cannot be used on this board unless you modify your .htaccess file to allow the program smartfeed.php to bypass Apache authentication. Once this change is made and verified, please change the constant SMARTFEED_APACHE_HTACCESS_ENABLED in /includes/constants.php to true and this limitation will disappear.',
	'SMARTFEED_ATOM_10' => 'Atom 1.0',
	'SMARTFEED_COPYRIGHT' => '', // Add a copyright statement for your site if it applies.
	'SMARTFEED_CONNECT_SOCKET_ERROR' => 'Unable to open connection to phpBB Smartfeed site, reported error is:<br />%s',
	'SMARTFEED_COUNT_LIMIT' => '<b>Maximum posts in feed:</b><br />(Applies only if Post/Date Time, Last Posts First is selected. Enter a positive number. Enter \'All\' to see all posts meeting your criteria.)',
	'SMARTFEED_CURRENT_VERSION_INFO' => 'You are running <b>%s</b>.',
	'SMARTFEED_DELIMITER' => ' :: ', // Used to break up forum names, topic name and post subjects that all appear together in the feed, such as in the item title
	'SMARTFEED_EDITOR' => '', // Most likely your site will not have a managing editor. If so enter the text name of managing editor 
	'SMARTFEED_EDITOR_EMAIL' => '', // Most likely your site will not have a managing editor. If so enter email address of managing editor
	 
	'SMARTFEED_ERROR' => array(
		'SMARTFEED_APACHE_AUTHENTICATION_WARNING_REG' => 'phpBB Smartfeed cannot be used on this board. Contact the Forum Administrator for more information.',
		'SMARTFEED_BAD_BOOKMARKS_VALUE' => 'The bookmarks parameter, if used, may only have a value of 1.',
		'SMARTFEED_BAD_PASSWORD_ERROR' => 'Authentication failure. "e" parameter "%s" is invalid with "u" parameter of "%s". This error may be caused by changing your phpBB password, or due to an upgrade in this phpBB Smartfeed software. To solve this problem, create a new phpBB Smartfeed URL at %s, then copy and paste the generated URL into your newsreader application.',
		'SMARTFEED_BAD_PMS_VALUE' => 'If present, the pms parameter (for private messages) must have a value of 1',
		'SMARTFEED_BOARD_DISABLED' => 'This board is currently offline. Consequently, the newsfeed functionality has been disabled. When the board goes back online, you will be able to retrieve newsfeeds again.',
		'SMARTFEED_COUNT_LIMIT_CONSISTENCY_ERROR' =>  'The count_limit parameter may only used when sort_by parameter is "postdate_desc"',
		'SMARTFEED_COUNT_LIMIT_ERROR' => 'The count_limit parameter must be greater than 0.',
		'SMARTFEED_F_READ_ERROR' => 'Forum read privilege (f_read) not declared in the acl_options table. This table is likely inconsistent or corrupted.',
		'SMARTFEED_FEED_TYPE_ERROR' => 'phpBB Smartfeed does not accept the feed_type parameter value given or the feed_type parameter is absent.',
		'SMARTFEED_FILTER_FOES_ERROR' => 'The filter_foes parameter is invalid. If present it should only have a value of 1.',
		'SMARTFEED_FIRST_POST_ONLY_ERROR' => 'The firstpostonly parameter is invalid. If present it should only have a value of 1.',
		'SMARTFEED_FIRST_POST_ONLY_NEEDS_TOPICS_ONLY_ERROR' => 'The firstpostonly parameter is present but it may only be used if the topicsonly parameter has a value of 1.',
		'SMARTFEED_IP_AUTH_ERROR' => "This URL cannot be used to retrieve a newsfeed from this IP address. Run smartfeed_url.$phpEx from this machine and use the newly generated URL to retrieve an authenticated newsfeed.", 
		'SMARTFEED_LASTVISIT_ERROR' => 'The lastvisit parameter specified is invalid. If present it must have a value of 1 only.',
		'SMARTFEED_LIMIT_FORMAT_ERROR' => 'limit parameter is either not present or is not an allowed value.',
		'SMARTFEED_MAX_WORD_SIZE_ERROR' => 'The max_word_size parameter is invalid. It should be either "All" or a positive whole number.',
		'SMARTFEED_MIN_WORD_SIZE_ERROR' => 'The min_word_size parameter is invalid. It should be a positive whole number or left blank.',
		'SMARTFEED_NO_ACCESSIBLE_FORUMS' => 'You have no permission to access any forums on this site. If you are registered on this site, you may need the administrator to give you privileges to read forums.',
		'SMARTFEED_NO_ARGUMENTS' => "This program requires arguments. Use smartfeed_url.$phpEx to generate a set of arguments to be used with this program.",
		'SMARTFEED_NO_BOOKMARKS' => 'You have no bookmarked topics but you requested to show bookmarked topics only. Consequently, there are no posts in the feed. If you wish to use bookmarks with phpBB Smartfeed, please visit the forum and bookmark one or more topics.',
		'SMARTFEED_NO_E_ARGUMENT' => 'To authenticate a user, the "e" parameter must be used with the "u" parameter. The "u" parameter is present but the "e" parameter is not. Please rerun smartfeed_url.php to generate a correct feed URL.',
		'SMARTFEED_NO_U_ARGUMENT' => 'To authenticate a user, the "u" parameter must be used with the "e" parameter. The "e" parameter is present but the "u" parameter is not. Please rerun smartfeed_url.php to generate a correct feed URL.',
		'SMARTFEED_REMOVE_MINE_ERROR' => 'The removemine parameter value is invalid. If present it should only have a value of 1.',
		'SMARTFEED_SORT_BY_ERROR' => 'phpBB Smartfeed cannot accept the sort_by requested or the sort_by parameter is absent.',
		'SMARTFEED_STYLE_ERROR' => 'The style parameter is not one of the allowed values, or is absent.',
		'SMARTFEED_TOPICS_ONLY_ERROR' => 'The topictype parameter, if used, must have a value of 1', 
		'SMARTFEED_USER_ID_DOES_NOT_EXIST' => 'User ID identified by "u" parameter does not exist or is not allowed to access a feed. If you want a feed, please make sure you are logged out and run smartfeed_url.php again. You will only be able to select from public forums.'),

	'SMARTFEED_ERROR_INTRODUCTION' => 'An error occurred running phpBB Smartfeed. As a result, no content can be returned. Use this error information as a guide to correcting the problem. Please note that you must use <a href="%s">this program</a> to create a URL that can be used with phpBB Smartfeed. The error is: ',
	'SMARTFEED_ERROR_TITLE' => 'An error occurred running phpBB Smartfeed',
	'SMARTFEED_EXPLANATION' => "Many people are discovering the convenience of syndicated newsfeeds. With newsfeeds, you do not have to visit the site to read its content. A program called a <i>newsreader</i> fetches and presents news from multiple web sites for you, much like a newspaper presents articles from many sources.<br /><br />\nSome forums on this site may be read by members only, moderators or require special permissions. Normally, these forums would not be accessible in a newsfeed. However, this site is enabled with <em>phpBB Smartfeed</em>. It allows users to access both restricted and unrestricted forums on this site in a newsfeed. This is done by authenticating yourself with a special URL that you create on this page. You select the forums on this site that interest you that you want included in your customized newsfeed. You can choose the type of newsfeed format that you prefer. phpBB Smartfeed supports the RSS and Atom protocols. Make sure you pick the correct format that you need. After pressing the Generate URL button near the bottom of this page, copy and paste this generated URL into your newsreader.<br /><br />\nIf you are new to newsfeeds and web aggregators, we suggest you read <a href=\"http://en.wikipedia.org/wiki/Aggregator\">this Wikipedia topic</a>. It includes a link to various newsreaders that you may wish to download. You may also prefer to access newsfeeds via websites such as <a href=\"http://reader.google.com\">Google Reader</a> created for this purpose.<br /><br />If you have not registered on this site, you can still get a newsfeed. However, you can only select from publicly accessible forums.",
	'SMARTFEED_FEED_DESCRIPTION' => $config['site_desc'],
	'SMARTFEED_FEED_STYLE_VALUES' => array(
		'COMPACT' => 'COMPACT',
		'BASIC' => 'BASIC',
		'HTMLSAFE' => 'HTMLSAFE',
		'HTML' => 'HTML'),
	'SMARTFEED_FEED_STYLING' => '<b>Select the feed styling desired:</b><br />(Please note that the amount of feed styling actually applied depends on the capabilities of your newsreader. Most newsreaders will not apply all HTML styles. "Compact" will removing formatting, BBCode, signatures and collapse paragraphs. "Basic" will remove formatting and BBCode but will apply signatures if allowed.  "Safe HTML" will strip <a href="http://validator.w3.org/feed/docs/warning/SecurityRiskAttr.html">tags considered unsafe for newsreaders</a>, according to the W3C. "HTML" will provide formatting, BBCode and signatures (if allowed). Posts will look similar to how they appear in the forum. "HTML" feeds may not validate.)',
	'SMARTFEED_FEED_TITLE' => $config['sitename'],
	'SMARTFEED_FEED_TYPE' => '<b>Select type of newsfeed:</b><br />(Make sure you choose a format supported by your newsreader)',
	'SMARTFEED_FILTER_FOES' => '<b>Remove posts from your foes from the feed?</b>',
	'SMARTFEED_FIRST_POST_ONLY' => 'Limit to First Post Only (Applies only if "Yes")',
	'SMARTFEED_GENERATE_URL_TEXT' => '<b>Generate URL</b>',
	'SMARTFEED_GLOBAL_ANNOUNCEMENT' => 'GLOBAL ANNOUNCEMENT',
	'SMARTFEED_IP_AUTH' => '<b>Enable Newsfeed IP Authentication?</b><br />(This can be used as an addition security precaution to limit URL hijacking. The URL that is generated will only be good for the range of IP addresses associated with your computer. For example, if your current IP is 123.45.67.89 and IP Authentication is enabled then the feed will only work in the address range 123.45.67.*.)',
	'SMARTFEED_LAST_1_HOURS' => 'In Last Hour',
	'SMARTFEED_LAST_12_HOURS' => 'In Last 12 Hours',
	'SMARTFEED_LAST_15_MINUTES' => 'In Last 15 Minutes',
	'SMARTFEED_LAST_3_HOURS' => 'In Last 3 Hours',
	'SMARTFEED_LAST_30_MINUTES' => 'In Last 30 Minutes',
	'SMARTFEED_LAST_6_HOURS' => 'In Last 6 Hours',
	'SMARTFEED_LAST_DAY' => 'In Last 24 Hours',
	'SMARTFEED_LAST_MONTH' => 'In Last 30 Days',
	'SMARTFEED_LAST_QUARTER' => 'In Last 90 Days',
	'SMARTFEED_LAST_WEEK' => 'In Last 7 Days',
	'SMARTFEED_LAST_TWO_WEEKS' => 'In Last 14 Days',
	'SMARTFEED_LASTVISIT' => '<b>Reset your last visit date when you access the newsfeed?</b><br />(Select "Yes" if you will ordinarily use a newsfeed to read content on this site. Select "No" if you regularly visit this site <i>and</i> you want items in the newsfeed to appear as unread when you visit the site. Caution: Selecting "No" may give you very long newsfeeds. In addition, you may notice redundant articles the next time you access your newsfeed.)',
	'SMARTFEED_LATEST_VERSION_INFO' => 'The latest available version is <b>%s</b>.',
	'SMARTFEED_LDAP_WARNING' => '<b>Please note: Only public forums can be selected due to the authentication method used by this board.</b>',
	'SMARTFEED_LIMIT_TEXT_USERS' => '<b>Fetch posts meeting the following criteria:</b><br />(If necessary, phpBB Smartfeed will use your last visit date on the forum to limit posts you will see in the feed.)', 
	'SMARTFEED_LIMIT_TEXT_PUBLIC' =>'<b>Fetch posts meeting the following criteria:</b><br />(Please note that no posts can be retrieved beyond this message board\'s limit of %s days.)', 
	'SMARTFEED_MAX_SIZE' => '<b>Maximum words to display per post:</b><br />(Enter a positive number. Enter \'All\' to see the entire message. Warning: setting a number may cause feed validator errors.)',
	'SMARTFEED_MAX_WORDS_NOTIFIER' => ' ...',
	'SMARTFEED_MAX_WORDS_WANTED' => 'All',
	'SMARTFEED_MIN_SIZE' => '<b>Minimum words required in post for the post to appear in feed:</b><br />(If blank posts of any length will appear in feed.)',
	'SMARTFEED_NO_FORUMS_AVAILABLE' => 'Sorry, due to your user status you cannot access any forums',
	'SMARTFEED_NO_FORUMS_SELECTED' => 'You have not selected any forums, so no URL can be generated. Please select at least one forum.',
	'SMARTFEED_NOT_LOGGED_IN' => '<b>Because you are not logged or your user status does not allow it, you can only subscribe to the list of public forums shown below. Please <a href="' . append_sid("ucp.$phpEx?mode=login", true) . '">log in</a> or <a href="' . append_sid("ucp.$phpEx?mode=register", true) . '\">register</a> if you want to also subscribe to nonpublic forums.</b>',
	'SMARTFEED_POST_SIGNATURE_DELIMITER' => '<br />____________________<br />', // Place here whatever code (make sure it is valid XHTML) you want to use to distinguish the end of a post from the beginning of the signature line
	'SMARTFEED_PRIVATE_MESSAGES_IN_FEED' => '<b>Show unread private messages in the feed?</b><br />(Private messages appearing in the feed will be marked as read. Unread private messages only appear once in a feed.)',
	'SMARTFEED_REMOVE_YOURS' => '<b>Remove your posts from the feed?</b>',
	'SMARTFEED_REPLY' => 'Reply',
	'SMARTFEED_REPLY_BY' => 'Reply by',
	'SMARTFEED_RSS_10' 	=> 'RSS 1.0',
	'SMARTFEED_RSS_20' 	=> 'RSS 2.0',
	'SMARTFEED_RUN_IT_NOW' 	=> 'Run this URL in this browser now',
	'SMARTFEED_RUN_WARNING'	=> 'Warning: when run in browser may not show full styling',
	'SMARTFEED_SELECT_FORUMS' => '<b>Newsfeeds should include posts for these forums:</b><br/>(Please note the categories and forums shown are for those you are allowed to read only.)',
	'SMARTFEED_SHORT_EXPLAIN' => 'Access this forum as a newsfeed',
	'SMARTFEED_SINCE_LAST_VISIT_TEXT' => 'Since My Last Visit',
	'SMARTFEED_SIZE_ERROR' => 'You must enter a positive value or the word \'All\' in this field',
	'SMARTFEED_SIZE_ERROR_MIN' => 'You must enter a positive value or leave the field blank',
	'SMARTFEED_SOCKET_FUNCTIONS_DISABLED' => 'Socket functions are currently disabled.',
	'SMARTFEED_SORT_BY_REG' => '<b>Sort by:</b><br />(User Order is the sort order you selected for topics and posts in the User Control Panel. Traditional Order is the default order used by phpBB 2, which is category order, forum order, last topic post time (descending) and post time.)',
	'SMARTFEED_SORT_BY_PUBLIC' => '<b>Sort by:</b><br />(Traditional Order is the default order used by phpBB 2, which is category order, forum order, last topic post time (descending) and post time.)',
	'SMARTFEED_SORT_BY_VALUES' => array(
		'BOARD' => 'user',
		'STANDARD' => 'standard',
		'STANDARD_DESC' => 'standard_desc',
		'POSTDATE' => 'postdate',
		'POSTDATE_DESC' => 'postdate_desc'),
	'SMARTFEED_SORT_FORUM_TOPIC' => 'Traditional Order',
	'SMARTFEED_SORT_FORUM_TOPIC_DESC' => 'Traditional Order, Latest Posts First',
	'SMARTFEED_SORT_POST_DATE' => 'Post Date/Time',
	'SMARTFEED_SORT_POST_DATE_DESC' => 'Post Date/Time, Latest Posts First',
	'SMARTFEED_SORT_USER_ORDER' => 'User Order',
	'SMARTFEED_STYLE_BASIC' => 'Basic',
	'SMARTFEED_STYLE_COMPACT' => 'Compact',
	'SMARTFEED_STYLE_HTML' => 'HTML',
	'SMARTFEED_STYLE_HTML_SAFE' => 'Safe HTML',
	'SMARTFEED_TIME_LIMIT_REGISTERED' => array(
		'SMARTFEED_SINCE_LAST_VISIT' => 'LF', 
		'SMARTFEED_LAST_QUARTER_VALUE' => '3 MONTH', 
		'SMARTFEED_LAST_MONTH_VALUE' => '1 MONTH', 
		'SMARTFEED_LAST_TWO_WEEKS_VALUE' => '14 DAY', 
		'SMARTFEED_LAST_WEEK_VALUE' => '7 DAY', 
		'SMARTFEED_LAST_DAY_VALUE' => '1 DAY', 
		'SMARTFEED_LAST_12_HOURS_VALUE' => '12 HOUR', 
		'SMARTFEED_LAST_6_HOURS_VALUE' => '6 HOUR', 
		'SMARTFEED_LAST_3_HOURS_VALUE' => '3 HOUR', 
		'SMARTFEED_LAST_1_HOURS_VALUE' => '1 HOUR', 
		'SMARTFEED_LAST_30_MINUTES_VALUE' => '30 MINUTE', 
		'SMARTFEED_LAST_15_MINUTES_VALUE' => '30 MINUTE'),
	// Begin -- Do NOT Change these keys or values when writing a language translation!
	'SMARTFEED_TIME_LIMIT_SECONDS' => array(
		'3 MONTH' => time() - (90 * 24 * 60 * 60), 
		'1 MONTH' => time() - (30 * 24 * 60 * 60), 
		'14 DAY' => time() - (14 * 24 * 60 * 60), 
		'7 DAY' => time() - (7 * 24 * 60 * 60), 
		'1 DAY' => time() - (24 * 60 * 60), 
		'12 HOUR' => time() - (12 * 60 * 60), 
		'6 HOUR' => time() - (6 * 60 * 60), 
		'3 HOUR' => time() - (3 * 60 * 60), 
		'1 HOUR' => time() - (60 * 60), 
		'30 MINUTE' => time() - (30 * 60), 
		'15 MINUTE' => time() - (15 * 60)),
	// End -- Do NOT Change these values when writing a language translation!
	'SMARTFEED_TIME_LIMIT_UNREGISTERED' => array(
		'SMARTFEED_LAST_QUARTER_VALUE' => '3 MONTH', 
		'SMARTFEED_LAST_MONTH_VALUE' => '1 MONTH', 
		'SMARTFEED_LAST_TWO_WEEKS_VALUE' => '14 DAY', 
		'SMARTFEED_LAST_WEEK_VALUE' => '7 DAY', 
		'SMARTFEED_LAST_DAY_VALUE' => '1 DAY', 
		'SMARTFEED_LAST_12_HOURS_VALUE' => '12 HOUR', 
		'SMARTFEED_LAST_6_HOURS_VALUE' => '6 HOUR', 
		'SMARTFEED_LAST_3_HOURS_VALUE' => '3 HOUR', 
		'SMARTFEED_LAST_1_HOURS_VALUE' => '1 HOUR', 
		'SMARTFEED_LAST_30_MINUTES_VALUE' => '30 MINUTE', 
		'SMARTFEED_LAST_15_MINUTES_VALUE' => '15 MINUTE'),
	'SMARTFEED_TOPICS_ONLY' => '<b>Show only new topics?</b>',
	'SMARTFEED_URL_LABEL' => 'After you press the Generate URL button, the URL you need will appear in the box below. Make sure you select all the text in the field, since it will likely scroll beyond the visible portion of the field. Although it may not be apparent, if you click on the URL field all text will be selected by default. <b>Copy and paste this information into your newsreader.</b> If you change your options, press the Generate URL button again and you will get a different URL.',
	'SMARTFEED_USE_BOOKMARKS' => '<b>Show bookmarked topics only?</b><br />(If you typically review only bookmarked topics, this option will provide a feed containing only your bookmarked topics.)',
	'SMARTFEED_VERSION' => 'Version',
	'SMARTFEED_VERSION_NOT_UP_TO_DATE' => 'Administrator notice: Your installation does <b>not</b> have the latest version of phpBB Smartfeed installed. Updates are available for your version of phpBB, please visit the <a href="http://phpbbservices.com/smartfeed/" target="_new">Smartfeed website</a> to obtain the latest version.',
	'SMARTFEED_VERSION_UP_TO_DATE' => 'Administrator notice: phpBB Smartfeed is up to date, no updates are available for this modification.'

));

?>